org.apache.geode.cache.operations

## Class DestroyOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.KeyOperationContext
    - - org.apache.geode.cache.operations.DestroyOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public class DestroyOperationContext
      extends KeyOperationContext

  Encapsulates a `OperationContext.OperationCode.DESTROY` region operation having the key object for both the pre-operation case and for post-operation updates.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DestroyOperationContext(java.lang.Object key)` Deprecated. Constructor for the operation.
    `DestroyOperationContext(java.lang.Object key, boolean postOperation)` Deprecated. Constructor for the operation to use for post-operation in updates.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.

    - ### Methods inherited from class org.apache.geode.cache.operations.KeyOperationContext

      `getCallbackArg, getKey, isPostOperation, setCallbackArg, setPostOperation`

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DestroyOperationContext

          public DestroyOperationContext(java.lang.Object key)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `key` - the key for this operation

    - #### DestroyOperationContext

          public DestroyOperationContext(java.lang.Object key,
                                         boolean postOperation)

      Deprecated.
      Constructor for the operation to use for post-operation in updates.
      Parameters:
        `key` - the key for this operation
        `postOperation` - true to set the post-operation flag

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `KeyOperationContext`
      Returns:
        `OperationCode.DESTROY`.